.app-page-container {
    max-width: 730px;
    margin: auto;
    position: relative;
}

.app_content {
    background: #F5F9FB;
    border-radius: 20px;
    padding: 50px;
    box-shadow: 0 13px 16px 3px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0 13px 16px 3px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
}

.app-date-label {
    font-size: 16px;
    font-weight: bold;
    letter-spacing: .1em;
    margin-bottom: 1em;
}

.app-date-label:before {
    content: url(../img/title-left-bar.svg);
    margin-right: 15px;
    vertical-align: middle;
}


button {
    border: none;
}

.btn-primary {
    border: none;
    border-radius: 10px;
    background: -webkit-gradient(linear, left top, right top, from(#3A93CB), to(#2B69BE));
    background: linear-gradient(90deg, #3A93CB, #2B69BE);
    color: white !important;
    box-shadow: 0 5px 6px 1px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0 5px 6px 1px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
}

.btn-primary:hover {
    -webkit-box-shadow: 0 5px 6px 1px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
}


.btn-cancel {
    text-decoration: underline !important;
    font-size: 15px;
    color: #999999 !important;
}

.btn-apply {
    padding: 13px 111px;
}

.pl-none {
    padding-left: 0 !important;
}

select {
    padding: 7px 15px;
    width: 315px;
    border-radius: 10px;
    border: 1px solid #E3E3E3;
    -moz-appearance: none;
         appearance: none;
    background: url(../img/caret-down.svg) no-repeat right white;
    -webkit-appearance: none;
    background-position-x: 95%;
    box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), 0px 2px 7px 0px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), 0px 2px 7px 0px rgb(0 0 0 / 10%);
    color: black;
}

select::-ms-expand {
    display: none;
}

label {
    color: #333333;
    margin-right: 10px;
}

.vdp-datepicker input {
    width: 200px;
    height: 40px;
    border-radius: 10px;
    border: 1px solid #E3E3E3;
    padding-left: 20px;
    box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), 0px 2px 7px 0px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), 0px 2px 7px 0px rgb(0 0 0 / 10%);;
    background: url(../img/calendar-blue-icon.svg) no-repeat right white;
}

.vdp-datepicker input:hover {
    cursor: default;
}

.year-none-datepicker {
    cursor: default;
    background: url(../img/calendar-blue-icon.svg) no-repeat right white;
    width: 100px;
    padding: 7px 10px;
    border: 1px solid #E3E3E3;
    border-radius: 10px;
    box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), inset 0px 2px 7px 0px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), inset 0px 2px 7px 0px rgb(0 0 0 / 10%);
    outline: none !important;
    margin-right: 5px;
}

textarea::-webkit-input-placeholder {
    color: #999999;
}

textarea::-moz-placeholder { /* Firefox 19+ */
    color: #999999;
}

textarea:-ms-input-placeholder {
    color: #999999;
}

textarea::-ms-input-placeholder {
    color: #999999;
}

textarea::placeholder {
    color: #999999;
}

.app-alert {
    max-width: 730px;
    background-color: #DBEFD9;
    border: 1px solid #BBD6B8;
    box-shadow: 0 5px 6px 1px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0 5px 6px 1px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    border-radius: 10px;
    padding: 5px;
    text-align: center;
    margin-bottom: 30px;
    font-size: 16px;
    color: #659F5F;
    margin: auto;
    width: 92%;
}

.app-alert p {
    margin: 0;
}

#flash_message_container {
    position: fixed;
    width: 100%;
    left: 0;
    padding: 0;
    z-index: 9999;
}

.form-group {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.form-input {
    width: 315px;
    border: 1px solid #E3E3E3;
    border-radius: 10px;
    padding: 11px 10px;
    box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), inset 0px 2px 7px 0px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), inset 0px 2px 7px 0px rgb(0 0 0 / 10%);
    outline: none !important;
}

.password-form-input {
    width: 300px;
    border: 1px solid #E3E3E3;
    border-radius: 10px;
    padding: 11px 10px;
    box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), inset 0px 2px 7px 0px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), inset 0px 2px 7px 0px rgb(0 0 0 / 10%);
    outline: none !important;
}

.password-space {
    margin-bottom: 5px;
    margin-top: 10px;
}

input:focus, input:focus-visible, select:focus-visible {
    outline: none;
}

.invalid, .error {
    border: 1px solid #EA1D64;
}

.input-error-alert {
    color: #EA1D64;
    background: #F8E8F0;
    border: 1px solid #EBD2DF;
    border-radius: 10px;
    padding: 5px;
    margin-top: 0 !important;
}

.input-alert {
    color: #EA1D64;
    font-size: 12px;
    text-align: left;
    margin-top: -10px;
}

input[type="submit"] {
    outline: none !important;
}

.app-comment-conatainer textarea {
    border-radius: 10px;
    outline: none !important;
    border: 1px solid #E3E3E3;
    box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), inset 0px 2px 3px 0px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0px 0px 0px rgb(0 0 0 / 10%), 0px 0 0px 0px rgb(0 0 0 / 10%), inset 0px 2px 3px 0px rgb(0 0 0 / 10%);
    width: 100%;
    height: 152px;
    resize: none;
    padding: 10px 15px;
}

.app-date {
    font-size: 15px;
    color: #333333;
    padding-bottom: 1em;
    margin-bottom: 0;
}


.appbtn-container {
    text-align: center;
}

.appbtn-container p {
    margin-top: 50px;
    margin-bottom: 30px;
    font-size: 15px;
}

/*@media(max-width: 991px) {*/
/*    #flash_message_container {*/
/*        padding: 0 15px;*/
/*    }*/

/*    .app-alert {*/
/*        margin: auto !important;*/
/*    }*/
/*}*/

.btn-new-create-index {
    padding: 8px 30px;
    margin-bottom: 25px;
    font-size: 13px;
    margin-top: -12px;
    float: right;
}

.table-operation-two-btn-space {
    width: 115px;
    min-width: 115px;
}

.btn-edit-table-manipulation {
    background: -webkit-gradient(linear, left top, right top, from(#3A93CB), to(#2B69BE));
    background: linear-gradient(90deg, #3A93CB, #2B69BE);
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0 6px 4px -2px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0 6px 4px -2px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
}

.btn-edit-table-manipulation:hover {
    cursor: pointer;
    opacity: 0.8;
}

.btn-detail-table-manipulation {
    background: -webkit-gradient(linear, left top, right top, from(#3A93CB), to(#2B69BE));
    background: linear-gradient(90deg, #3A93CB, #2B69BE);
    padding: 9.7px 8px 7.1px 12px;
    border-radius: 10px;
    box-shadow: 0 6px 4px -2px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0 6px 4px -2px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
}

.btn-detail-table-manipulation:hover {
    cursor: pointer;
    opacity: 0.8;
}

.btn-delete-table-manipulation {
    background-color: #FFFFFF;
    padding: 10px;
    margin-left: 5px;
    border-radius: 10px;
    box-shadow: 0 6px 4px -2px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0 6px 4px -2px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
}

.btn-delete-table-manipulation:hover {
    cursor: pointer;
    opacity: 0.8;
}

.inactive-form, .inactive-form .year-none-datepicker, .inactive-form input {
    color: gray;
    -webkit-text-fill-color: gray;
    opacity: 0.7;
    background-color: #F5F5F5;
}

.inactive-radio-button {
    opacity: 0.6;
}

.inactive-radio-button:hover {
    cursor: initial !important;
}

.btn-vacation-detail-manipulation {
    background: -webkit-gradient(linear, left top, right top, from(#3A93CB), to(#2B69BE));
    background: linear-gradient(90deg, #3A93CB, #2B69BE);
    padding: 10.5px 9px;
    border-radius: 10px;
    box-shadow: 0 6px 4px -2px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0 6px 4px -2px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
}

.btn-vacation-detail-manipulation:hover {
    cursor: pointer;
    opacity: 0.8;
}

.effective-date-container {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    border: 1px solid #C9D4D9;
    border-radius: 10px;
    padding: 15px;
    margin-top: 10px;
}

.basic-setting-button-container {
    text-align: center;
    margin-top: 40px;
    padding-bottom: 15px;
}

.setting-edit-button-container {
    text-align: center;
    margin-top: 40px;
    margin-bottom: 30px;
}

.detail-back-button {
    text-align: center;
}

.effective-date-attention {
    font-size: 10px;
    margin-top: 5px;
}

@media (max-width: 599px) {
    .app-page-container {
        padding: 0 15px;
    }

    .app_content {
        padding: 20px 15px;
    }

    .btn-new-create-index {
        margin-top: 0;
        margin-bottom: 20px;
    }

    .table-operation-two-btn-space {
        width: 100px;
        min-width: 100px;
    }

    .effective-date-container {
        display: block;
    }
}

.index-column-string {
    text-align: left;
}

.index-column-number {
    text-align: right;
}

.link-text {
    text-decoration: underline !important;
    font-size: 15px;
    color: #333333;
}

@media (max-width: 599px) {
    .common-page-container {
        width: 100%;
        padding: 0 15px;
    }
}

@media (min-width: 600px) {
    .common-page-container {
        min-width: 730px;
        width: -webkit-fit-content;
        width: -moz-fit-content;
        width: fit-content;
    }
}

.common-page-container {
    margin: auto;
    position: relative;
}

.explanation-text {
    background-color: #E5F0F5;
    padding-top: 13px;
    padding-bottom: 13px;
    padding-left: 19px;
    padding-right: 29px;
    border-radius: 8px;
    font-size: 12px;
}

.unset-bottom {
    margin-bottom: unset;
}

.common-button {
    border-radius: 10px;
    box-shadow: 0 10px 4px -4px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    -webkit-box-shadow: 0 10px 4px -4px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    cursor: pointer;
}

.common-button:hover {
    -webkit-box-shadow: 0 5px 6px 1px rgb(0 0 0 / 10%), -5px 0 10px -2px rgb(0 0 0 / 10%), 5px 0 10px -2px rgb(0 0 0 / 10%);
    opacity: 0.8;
}

.primary {
    background: -webkit-gradient(linear, left top, right top, from(#3A93CB), to(#2B69BE));
    background: linear-gradient(90deg, #3A93CB, #2B69BE);
    color: white;
}

.input-row {
    border-bottom: 1px solid #C9D4D9;
}

.input-column-label {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.table-wrapper {
    border-radius: 8px;
    border: 1px solid #d8d8d8;
    padding: 0;
    margin: 0;
}

.table-wrapper .table-row {
    border-bottom: 1px solid #d8d8d8;
    padding: 10px
}

.table-wrapper .table-row + li:last-child {
    border-bottom: none;
}

.common-table {
    text-align: center;
    border-collapse: collapse;
    border-spacing: 0;
    border: 1px hidden #707070;
    width: 100%;
    max-width: 100%;
    white-space: nowrap;
}

.common-table thead {
    background: #e9edef;
}

.common-table td, .common-table th {
    border: 1px solid #d8d8d8;
    padding: 10px;
}

/**
ラジオボタン用のスタイル
 */

/* ブラウザ標準のラジオボタンを画面外に飛ばす */
[type="radio"]:checked,
[type="radio"]:not(:checked) {
    position: absolute;
    left: -9999px;
}

[type="radio"] + label {
    position: relative;
    padding-left: 28px;
    cursor: pointer;
    line-height: 20px;
    display: inline-block;
}

[type="radio"] + label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    border-radius: 100%;
}

[type="radio"]:checked + label:before {
    background: #3A93CB;
}

[type="radio"]:not(:checked) + label:before {
    background: white;
    border: 1px solid #E3E3E3;
}

[type="radio"] + label:after {
    content: '';
    width: 8px;
    height: 8px;
    background: white;
    position: absolute;
    top: 6px;
    left: 6px;
    border-radius: 100%;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}

[type="radio"]:not(:checked) + label:after {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
}

[type="radio"]:checked + label:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}

.password-area {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.password-area i {
    position: absolute;
    right: 1rem;
    cursor: pointer;
    font-size: 1rem;
}

::-ms-reveal {
    display: none;
}


[type="password"]::-webkit-credentials-auto-fill-button {
    margin: 0;
    width: 0;
    background-color: transparent;
}

.smart-hr-logo {
    width: 100px;
    height: 19px;
}
